import java.io.FileWriter;
import java.io.FileOutputStream;
import java.io.BufferedWriter;
import java.io.BufferedReader;
import java.io.PrintWriter;
import java.io.IOException;
import java.io.File;
import java.io.OutputStreamWriter;
import java.io.FileInputStream;
import java.io.File;
import java.io.InputStreamReader;
import javax.swing.JTextArea;

/**
* A generic class to write a file
*/

/**
 * AUTHOR: MUHAMMAD ADNAN
 * LICENSE: GNU General Public License, version 3 (GPL-3.0)
*/

public class WriteFile
{
    private FileWriter fw;
    private PrintWriter out;

    public WriteFile()
    {
    }

    public WriteFile(String fileName)
    {
        File f = new File(fileName);

        try
        {
            fw = new FileWriter(fileName);
            out = new PrintWriter(new BufferedWriter(fw));
        }
        catch (IOException e)
        {}
    }

    public void writeLine(String[] line, int[] indexes) throws IOException
    {
        if (indexes != null)
        {

            for (int i = 0; i < indexes.length - 1; i++)
             {
                out.write("\"" + line[indexes[i]] + "\"" + ",");
             }

            out.write("\"" + line[indexes[indexes.length - 1]] + "\"");

            out.flush();
        }
    }

    public void write(String s) throws IOException
    {
        out.write(s);
        out.flush();
    }

    public void close()
    {
        try
        {
            out.close();
            fw.close();
        }
        catch (IOException e)
        {}
    }

}

