
import javax.swing.JFrame;
import javax.swing.SwingUtilities;
import java.awt.BorderLayout;
import javax.swing.ImageIcon;

/**
 * Main Class
 * This is the main launching class of the OACoder software
*/

/**
 * AUTHOR: MUHAMMAD ADNAN
 * LICENSE: GNU General Public License, version 3 (GPL-3.0)
*/

public class Main
{

    public Main()
    {}

    public static void main(String[] args)
    {
        SwingUtilities.invokeLater(new Runnable()
        {
            public void run()
            {
                Screen app = new Screen();

                app.add(BorderLayout.NORTH, new LogoPanel("images/mainLogo.bmp"));

                app.add(BorderLayout.CENTER, new LoadFilePanel(app));
                app.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

                app.setVisible(true);
            }
        });
    }
}
